Bug 1638124 - VM fails to start if maxMemory >= 2048 GB
Summary: VM fails to start if maxMemory >= 2048 GB
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.2.6
Hardware: All
OS: Linux
high
high
Target Milestone: ovirt-4.3.0
: 4.3.0
Assignee: Arik
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks: 1639263
TreeView+ depends on / blocked
 
Reported: 2018-10-10 18:58 UTC by nijin ashok
Modified: 2020-08-03 15:39 UTC (History)
9 users (show)

Fixed In Version: ovirt-engine-4.3.0_alpha
Doc Type: Bug Fix
Doc Text:
This release enables VM configuration with memory greater than two terabytes.
Clone Of:
: 1639263 (view as bug list)
Environment:
Last Closed: 2019-05-08 12:38:43 UTC
oVirt Team: Virt
Target Upstream Version:
mavital: needinfo+
lsvaty: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2019:1085 0 None None None 2019-05-08 12:39:03 UTC
oVirt gerrit 94880 0 master MERGED core: prevent integer overflow when creating engine xml 2020-08-28 18:22:01 UTC
oVirt gerrit 94911 0 ovirt-engine-4.2 MERGED core: prevent integer overflow when creating engine xml 2020-08-28 18:22:01 UTC

Description nijin ashok 2018-10-10 18:58:56 UTC
Description of problem:

If a maximum memory is configured >= 2048 GB, then a negative value is generated for the maxMemory.

===
2018-10-10 14:48:51,242-04 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateBrokerVDSCommand] (EE-ManagedThreadFactory-engine-Thread-80) [d870c8c6-95c2-4690-81b0-2c7786d89a3a] VM <?xml version="1.0" encoding="UTF-8"?><domain type="kvm" xmlns:ovirt-tune="http://ovirt.org/vm/tune/1.0" xmlns:ovirt-vm="http://ovirt.org/vm/1.0">
  <name>RHEL_7.4</name>
  <uuid>6c4da374-ed44-4407-943b-192d6b7ed540</uuid>
  <memory>1572864</memory>
  <currentMemory>1572864</currentMemory>
  <iothreads>1</iothreads>
  <maxMemory slots="16">-2147483648</maxMemory>       => negative value
===

Because of this, VM will fail to start with the error below.

2018-10-10 14:48:53,834-04 ERROR [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ForkJoinPool-1-worker-6) [] EVENT_ID: VM_DOWN_ERROR(119), VM RHEL_7.4 is down with error. Exit message: XML error: Invalid value '-2147483648' for element or attribute './maxMemory[1]'.


Version-Release number of selected component (if applicable):

ovirt-engine-4.2.6.4-0.1.el7ev.noarch

How reproducible:

100%

Steps to Reproduce:

1. Create a VM with Maximum memory >= 2048 GB and start it.


Actual results:

VM fails to start with error "XML error: Invalid value '-2147483648' for element or attribute './maxMemory[1]"

Expected results:

VM should start.

Additional info:

Comment 1 Raz Tamir 2018-10-10 23:16:04 UTC
Meital,

Please retest on 4.2.7 and mark this as a blocker in case it reproduce

Comment 2 meital avital 2018-10-11 14:19:30 UTC
we succeed to reproduce it On 4.2.7

Comment 7 meital avital 2018-10-16 16:06:35 UTC
Verified on:
ovirt-engine-4.3.0-0.0.master.20181015155431.git4a9d480.el7.noarch
vdsm-4.30.0-608.gitd67b80d.el7.x86_64
libvirt-client-4.5.0-10.el7.x86_64
qemu-kvm-common-ev-2.10.0-21.el7_5.4.1.x86_64

Comment 8 RHV bug bot 2018-12-10 15:12:57 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.3-ga': '?'}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.3-ga': '?'}', ]

For more info please contact: rhv-devops@redhat.com

Comment 9 RHV bug bot 2019-01-15 23:35:26 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.3-ga': '?'}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.3-ga': '?'}', ]

For more info please contact: rhv-devops@redhat.com

Comment 11 errata-xmlrpc 2019-05-08 12:38:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:1085

Comment 12 Daniel Gur 2019-08-28 13:14:52 UTC
sync2jira

Comment 13 Daniel Gur 2019-08-28 13:19:55 UTC
sync2jira


Note You need to log in before you can comment on or make changes to this bug.